DisplaySilhouette 属性 (ActiveX)
控制实体对象的轮廓曲线是否在线框模式下显示。 支持的平台:仅限 Windows 属性值只读:不 类型:布尔
言论此属性的初始值为 。False 注意:此属性的值存储在 DISPSILH 系统变量中。
例子VBA: Sub Example_DisplaySilhouette() ' This example returns the current setting of ' DisplaySilhouette. It then changes the value, and finally ' it resets the value back to the original setting. Dim currDisplaySilhouette As Boolean ' Retrieve the current DisplaySilhouette value currDisplaySilhouette = ThisDrawing.Preferences.DisplaySilhouette MsgBox "The current value for DisplaySilhouette is " & preferences.DisplaySilhouette, vbInformation, "DisplaySilhouette Example" ' Change the value for DisplaySilhouette ThisDrawing.Preferences.DisplaySilhouette = Not (currDisplaySilhouette) MsgBox "The new value for DisplaySilhouette is " & preferences.DisplaySilhouette, vbInformation, "DisplaySilhouette Example" ' Reset DisplaySilhouette to its original value ThisDrawing.Preferences.DisplaySilhouette = currDisplaySilhouette MsgBox "The DisplaySilhouette value is reset to " & preferences.DisplaySilhouette, vbInformation, "DisplaySilhouette Example" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_DisplaySilhouette() ;; This example returns the current setting of ;; DisplaySilhouette. It then changes the value, and finally ;; it resets the value back to the original setting. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq preferences (vla-get-Preferences doc)) ;; Retrieve the current DisplaySilhouette value (setq currDisplaySilhouette (vla-get-DisplaySilhouette preferences)) (alert (strcat "The current value for DisplaySilhouette is " (if (= currDisplaySilhouette :vlax-true) "True" "False"))) ;; Change the value for DisplaySilhouette (setq newValue (if (= currDisplaySilhouette :vlax-true) :vlax-false :vlax-true)) (vla-put-DisplaySilhouette preferences newValue) (alert (strcat "The new value for DisplaySilhouette is " (if (= newValue :vlax-true) "True" "False"))) ;; Reset DisplaySilhouette to its original value (vla-put-DisplaySilhouette preferences currDisplaySilhouette) (alert (strcat "The DisplaySilhouette value is reset to " (if (= currDisplaySilhouette :vlax-true) "True" "False"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-16 00:08
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.